Subject: compilation problem - permission denied
From: "Sur, Douglas (CC/ISD)" <[email-masked]>
To: "Cygwin (E-mail)" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 9 Nov 2000 15:24:12 -0500

Just loaded up cygwin and trying to compile my first program.  I am compiling the newer openssl software.   During the compile I get a "Permission Denied" to a particular directory/temp file.   Any suggestions is appreciated:

administrator@CCWD02 ~/openssl-0.9.6
$ make
making all in crypto...
make[1]: Entering directory `/home/administrator/openssl-0.9.6/crypto'
gcc -I. -I../include -DDSO_WIN32 -DTERMIOS -DL_ENDIAN -fomit-frame-pointer -O3 -
m486 -Wall   -c -o cryptlib.o cryptlib.c
cpp.exe: /cygdrive/e/temp/ccdWi0z8.i: Permission denied
make[1]: *** [cryptlib.o] Error 1
make[1]: Leaving directory `/home/administrator/openssl-0.9.6/crypto'
make: *** [all] Error 1

administrator@CCWD02 ~/openssl-0.9.6
$

----------------------------------------------------------------------

cygcheck -s -r returned:

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Thu Nov  9 15:09:21 2000

WinNT Ver 5.0 build 2195 Service Pack 1

Path: /usr/local/bin
 /usr/bin
 /usr/bin
 ./
 /cygdrive/e/Perl/bin/
 /cygdrive/c/WINNT/system32
 /cygdrive/c/WINNT
 /cygdrive/c/WINNT/System32/Wbem
 /cygdrive/c/Program Files/Symantec/pcAnywhere
 /cygdrive/e/mssql7/BINN

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

CYGWIN = `ntsec'
HOME = `/home/administrator'
MAKE_MODE = `unix'
PWD = `/home/administrator/openssl-0.9.6'
USER = `administrator'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrder\Start Menu\Programs\Cygnus Solutions
  (default) = (unsupported type)
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `e:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `e:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `e:/cygwin/lib'
  flags = 0x0000000a

a:  fd           N/A    N/A                    
c:  hd  NTFS    2023Mb  86% CP CS UN PA FC     
d:  cd           N/A    N/A                    
e:  hd  NTFS   25697Mb   5% CP CS UN PA FC     New Volume
f:  net NTFS   20410Mb  90% CP CS UN PA FC     
g:  net CDFS     505Mb 100%    CS              O9PRMCD01
h:  net NTFS   69459Mb  77% CP CS UN PA FC     
i:  net NTFS   69459Mb  77% CP CS UN PA FC     
j:  net CDFS     505Mb 100%    CS              O9PRMCD01
o:  net NTFS   69459Mb  77% CP CS UN PA FC     
p:  net NTFS   69459Mb  71% CP CS UN PA FC     
r:  net NTFS   69459Mb  71% CP CS UN PA FC     
u:  net NTFS   69459Mb  75% CP CS UN PA FC     
x:  net NTFS   34707Mb  80% CP CS UN PA FC     

e:\cygwin\bin  /usr/bin  system  binmode
e:\cygwin\lib  /usr/lib  system  binmode
e:\cygwin  /        system  binmode

Found: e:\cygwin\bin\bash.exe
Found: e:\cygwin\bin\cat.exe
Found: e:\cygwin\bin\cpp.exe
Found: e:\cygwin\bin\find.exe
Found: e:\cygwin\bin\gcc.exe
Found: e:\cygwin\bin\gdb.exe
Found: e:\cygwin\bin\ld.exe
Found: e:\cygwin\bin\ls.exe
Found: e:\cygwin\bin\make.exe
Found: e:\cygwin\bin\sh.exe

   18k 2000/10/23 e:\cygwin\bin\cyggdbm.dll
   14k 2000/10/23 e:\cygwin\bin\cygintl.dll
   83k 2000/06/11 e:\cygwin\bin\cygitcl30.dll
   35k 2000/06/11 e:\cygwin\bin\cygitk30.dll
   45k 2000/10/22 e:\cygwin\bin\cygjbig1.dll
  119k 2000/10/23 e:\cygwin\bin\cygjpeg6b.dll
  162k 2000/10/23 e:\cygwin\bin\cygpng2.dll
  402k 2000/06/11 e:\cygwin\bin\cygtcl80.dll
    5k 2000/06/11 e:\cygwin\bin\cygtclpip80.dll
   10k 2000/06/11 e:\cygwin\bin\cygtclreg80.dll
  243k 2000/10/23 e:\cygwin\bin\cygtiff3.dll
  639k 2000/06/11 e:\cygwin\bin\cygtk80.dll
   49k 2000/10/23 e:\cygwin\bin\cygz.dll
  586k 2000/08/04 e:\cygwin\bin\cygwin1.dll
    Cygwin DLL version info:
        dll major: 1001
        dll minor: 4
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        api major: 0
        api minor: 26
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        build date: Thu Aug 3 20:53:46 EDT 2000
        CVS tag: cygwin-1-1-4
        shared id: cygwin1S3

Use -h to see help about each section

-------------------------------------------------------------------------------------
Douglas Sur
Voice: 301-594-7499
Page: 301-285-9054  
Fax: 503-218-7790 or 301-480-3843
To be proud and inaccessible is to be timid and weak.
                        -Jean Baptiste Masillon

--
Want to unsubscribe from this list?
Send a message to [email-masked]